SYD-BIT(1)

NAME

syd-bit - Utility to flip bits in files

SYNOPSIS

syd-bit [-h] -i <idx> <file>

syd-bit [-h] -r <file>

DESCRIPTION

The syd-bit utility flips the given bit or a random bit in the specified file. It provides a simple way to simulate bit-flip attacks.

OPTIONS

-h | Display help.
-i <idx> | Flip the bit at index <idx> in the file
-r | Flip a random bit in the file

SEE ALSO

syd(1), syd(2), syd(5), syd-aes(1), syd-key(1)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.